import { Response, ResponseResult } from "../types/Response";
import { CharacterData } from "../types/character/CharacterData";
import { ClassResponse } from "../types/character/classes/ClassesResponse";
import { RaceResponse } from "../types/character/races/RaceResponse";
export declare class Character {
    private character;
    constructor(character: CharacterData);
    geCharacter(): CharacterData;
    get race(): RaceResponse;
    get class(): ClassResponse;
    get spells(): Response;
    get proficiencies(): ResponseResult[];
}
